Package org.kie.internal.builder

## Class ResourceChangeSet

- java.lang.Object
- - org.kie.internal.builder.ResourceChangeSet

-     public class ResourceChangeSet
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ResourceChangeSet.RuleLoadOrder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceChangeSet​(java.lang.String resourceName, ChangeType status)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<ResourceChange>` | `getChanges()` |
    `ChangeType` | `getChangeType()` |
    `java.util.List<ResourceChangeSet.RuleLoadOrder>` | `getLoadOrder()` |
    `java.lang.String` | `getPackageName()` |
    `java.lang.String` | `getResourceName()` |
    `int` | `hashCode()` |
    `void` | `setPackageName​(java.lang.String packageName)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceChangeSet

          public ResourceChangeSet​(java.lang.String resourceName,
                                   ChangeType status)

  - ### Method Detail

    - #### getResourceName

          public java.lang.String getResourceName()

    - #### getChangeType

          public ChangeType getChangeType()

    - #### getChanges

          public java.util.List<ResourceChange> getChanges()

    - #### getLoadOrder

          public java.util.List<ResourceChangeSet.RuleLoadOrder> getLoadOrder()

    - #### getPackageName

          public java.lang.String getPackageName()

    - #### setPackageName

          public void setPackageName​(java.lang.String packageName)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`